Remove Team Member
Removes a member from a team. The last owner cannot be removed. Requires team owner.
Required scopes: auth:teams:manage or auth:teams:manage:app (the latter additionally requires the team to be entitled to the calling application)
JWT access token obtained via OAuth2 flow or service account
In: header
Header Parameters
Define the version of the Connect protocol
1Define the timeout, in ms
Request Body
application/json
1 <= length <= 1281 <= length <= 128Response Body
application/json
application/json
curl -X POST "https://auth.xeonr.io/xeonr.auth.api.v1.TeamsService/RemoveTeamMember" \ -H "Connect-Protocol-Version: 1" \ -H "Content-Type: application/json" \ -d '{}'{}{
"code": "not_found",
"message": "string",
"details": [
{
"type": "string",
"value": "string",
"debug": {}
}
]
}List Team Members POST
Lists a team's members with their team roles and per-application role names for the calling application. The calling subject must be a member (or the caller a service account of an entitled application). **Required scopes:** `auth:teams:read`
Revoke Team Invitation POST
Revokes a pending team invitation. Requires team owner. **Required scopes:** `auth:teams:app-roles` or `auth:teams:manage`